﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinSchedule.MonthViewSingle;
using Infragistics.Win.UltraWinScrollBar;

namespace WindowsFormsApplication190
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            for (int i = 0; i < 10; i++)
            {
                ultraCalendarInfo1.Owners.Add(i.ToString(), i.ToString());
            }

            ultraWeekView1.MouseWheel += new MouseEventHandler(ultraWeekView1_MouseWheel);
        }

        void ultraWeekView1_MouseWheel(object sender, MouseEventArgs e)
        {
            if (e.Delta < 0 && isInElement && elScrollDown != null)
            {
                elScrollDown.PerformClick();
            }
            else if (e.Delta > 0 && isInElement && elScrollUp != null)
            {
                elScrollUp.PerformClick();
            }
        }

        private void ultraWeekView1_BeforeScroll(object sender, Infragistics.Win.UltraWinSchedule.BeforeScrollEventArgs e)
        {
            e.Cancel = true;
        }

        bool isInElement = false;
        ScrollArrowUIElement elScrollUp;
        ScrollArrowUIElement elScrollDown;
        private void ultraWeekView1_MouseEnterElement(object sender, Infragistics.Win.UIElementEventArgs e)
        {
            if (e.Element is ValueListDropDownUIElement)
            {
                ValueListDropDownUIElement el = (ValueListDropDownUIElement)e.Element;                
                elScrollDown = (ScrollArrowUIElement)el.ElementFromPoint(new Point(260, 96));
                elScrollUp = (ScrollArrowUIElement)el.ElementFromPoint(new Point(260, 1));
                isInElement = true;
            }
        }
    }
}
